#version 460
#extension GL_EXT_nonuniform_qualifier : require

layout(set = 0, binding = 0) uniform sampler2D texSamplers[];

layout(location = 0) in vec2 uv;
layout(location = 1) in vec4 color;
layout(location = 2) in float alpha;
layout(location = 3) in flat uint tex_id;

layout(location = 0) out vec4 out_color;

void main() {
//    outColor = texture(texSamplers[nonuniformEXT(tex_id)], uv) * color;
    out_color = color;
}
